summaryrefslogtreecommitdiffstats
path: root/scripts/config/kvirc-config.in
diff options
context:
space:
mode:
authortpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-02-24 02:13:59 +0000
committertpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-02-24 02:13:59 +0000
commita6d58bb6052ac8cb01805a48c4ad2f129126116f (patch)
treedd867a099fcbb263a8009a9fb22695b87855dad6 /scripts/config/kvirc-config.in
downloadkvirc-a6d58bb6052ac8cb01805a48c4ad2f129126116f.tar.gz
kvirc-a6d58bb6052ac8cb01805a48c4ad2f129126116f.zip
Added KDE3 version of kvirc
git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/kvirc@1095341 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'scripts/config/kvirc-config.in')
-rw-r--r--scripts/config/kvirc-config.in189
1 files changed, 189 insertions, 0 deletions
diff --git a/scripts/config/kvirc-config.in b/scripts/config/kvirc-config.in
new file mode 100644
index 00000000..eaaa0899
--- /dev/null
+++ b/scripts/config/kvirc-config.in
@@ -0,0 +1,189 @@
+#!/bin/sh
+
+#
+# A script for retrieving the latest KVIrc IRC Client build configuration
+# Mainly used for building plugins out of the source tree
+# The idea is "stolen" from the gtk-config and xmms-config scripts :)
+#
+# 09-04-2000 Szymon Stefanek (Initial release)
+# 31-01-2002 Szymon Stefanek (Revised for KVIrc 3.0.0)
+# 27-07-2002 Szymon Stefanek (Revised again for KVIrc 3.0.0)
+#
+# This program is FREE software. You can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your opinion) any later version.
+#
+# This program is distributed in the HOPE that it will be USEFUL,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, write to the Free Software Foundation,
+# Inc. ,51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+set -e
+
+srcdir="@srcdir@"
+top_srcdir="@top_srcdir@"
+prefix="@prefix@"
+exec_prefix="@exec_prefix@"
+
+bindir="@bindir@"
+sbindir="@sbindir@"
+libexecdir="@libexecdir@"
+datadir="@datadir@"
+sysconfdir="@sysconfdir@"
+sharedstatedir="@sharedstatedir@"
+localstatedir="@localstatedir@"
+libdir="@libdir@"
+infodir="@infodir@"
+mandir="@mandir@"
+includedir="@includedir@"
+oldincludedir="/usr/include"
+headersdir="@headersdir@"
+applnkdir="@applnkdir@"
+configdir="@configdir@"
+configmodulesdir="@configmodulesdir@"
+defscriptdir="@defscriptdir@"
+globalkvircdir="@globalkvircdir@"
+helpdir="@helpdir@"
+iconapps32datadir="@iconapps32datadir@"
+iconapps48datadir="@iconapps48datadir@"
+iconmime32datadir="@iconmime32datadir@"
+iconmime48datadir="@iconmime48datadir@"
+install_sh="@install_sh@"
+kdeservicesdir="@kdeservicesdir@"
+licensedir="@licensedir@"
+localedir="@localedir@"
+mimelnkdir="@mimelnkdir@"
+picsdir="@globalkvircdir@/pics"
+pluglibdir="@pluglibdir@"
+topdir="@topdir@"
+
+
+build_alias="@build_alias@"
+build_triplet="@build@"
+host_alias="@host_alias@"
+host_triplet="@host@"
+target_alias="@target_alias@"
+target_triplet="@target@"
+
+SS_CPPFLAGS="@SS_CPPFLAGS@"
+SS_INCDIRS="@SS_INCDIRS@"
+SS_LDFLAGS="@SS_LDFLAGS@"
+SS_LIBDIRS="@SS_LIBDIRS@"
+SS_LIBLINK="@SS_LIBLINK@"
+SS_MSGFMT="@SS_MSGFMT@"
+SS_QT_MOC="@SS_QT_MOC@"
+SS_RPATH="@SS_RPATH@"
+SS_TOPSRCDIR="@SS_TOPSRCDIR@"
+VERSION="@VERSION@"
+
+print_syntax()
+{
+ echo "kvirc-config (KVIrc @VERSION@)"
+ echo " A script for retrieving the latest KVIrc build configuration"
+ echo ""
+ echo "Syntax : kvirc-config [OPTIONS]"
+ echo " options:"
+ echo " --version : KVIrc version"
+ echo " --prefix : Intallation prefix"
+ echo " --include_dir : KVIrc include directory (where headers are stored)"
+ echo " --exec_prefix : Binaries installation prefix"
+ echo " --rpath_flags : Rpath flags used in the KVIrc compilation"
+ echo " --cpp_flags : CPP flags used in the KVIrc compilation"
+ echo " --include_dirs : Include directories used in the KVIrc compilation"
+ echo " --ld_flags : Linker flags used in the KVirc compilation"
+ echo " --lib_dirs : Library directories used in the KVIrc compilation"
+ echo " --libraries : External libraries that KVIrc has been linked to"
+ echo " --qt_moc_path : Qt meta object compiler path"
+ echo " --modules_dir : KVIrc modules dir"
+ echo " --plugin_dir : Compat alias for modules_dir"
+ echo " --bin_dir : KVIrc binaries installation directory"
+ echo " --lib_dir : KVIrc libraries installation directory"
+ echo " --help_dir : KVIrc help files installation directory"
+ echo " --locale_dir : KVIrc translation files directory"
+ echo " --pics_dir : KVIrc shared pictures directory"
+ exit 0
+}
+
+if test $# -eq 0; then
+ print_syntax 1 1>&2
+fi
+
+SS_STUFF_TO_ECHO=""
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $prefix"
+ ;;
+ --exec_prefix)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $exec_prefix"
+ ;;
+ --include_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $headersdir"
+ ;;
+ --version)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $VERSION"
+ ;;
+ --rpath_flags)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_RPATH"
+ ;;
+ --qt_moc_path)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_QT_MOC"
+ ;;
+ --cpp_flags)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_CPPFLAGS"
+ ;;
+ --include_dirs)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_INCDIRS"
+ ;;
+ --ld_flags)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_LDFLAGS"
+ ;;
+ --lib_dirs)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_LIBDIRS"
+ ;;
+ --libraries)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $SS_LIBLINK"
+ ;;
+ --plugin_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $pluglibdir"
+ ;;
+ --modules_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $pluglibdir"
+ ;;
+ --bin_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $bindir"
+ ;;
+ --lib_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $libdir"
+ ;;
+ --help_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $helpdir"
+ ;;
+ --locale_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $localedir"
+ ;;
+ --pics_dir)
+ SS_STUFF_TO_ECHO="$SS_STUFF_TO_ECHO $picsdir"
+ ;;
+ *)
+ print_syntax 1 1>&2
+ ;;
+ esac
+ shift
+done
+
+if test -n "$SS_STUFF_TO_ECHO"; then
+ echo $SS_STUFF_TO_ECHO
+fi